
Redmine - Defect #3761

Most recent CVS revisions are missing in "revisions" view

2009-08-19 22:17 - David Hrivnak

Status: Closed Start date: 2009-08-19

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 0.8.4

Description

When retrieving the latest revisions from CVS the most recent ones (within a few hours) are missing because (I believe) CVS uses

UTC timestamps but Redmine must be querying using the users local timezone, im my case EST.  The most recent check-ins appear

to be "in the future" so I think Redmine misses them.

Related issues:

Related to Redmine - Defect #4115: repositories/show/project-name Ages off by... Closed 2009-10-26

Related to Redmine - Defect #996: CVS view ends up with "duplicate key violat... Closed 2008-04-04

Associated revisions

Revision 4794 - 2011-02-02 14:13 - Toshi MARUYAMA

scm: cvs: use localtime at cvs rlog -d option (#996, #3761).

Revision 4801 - 2011-02-07 11:25 - Toshi MARUYAMA

scm: cvs: change temporary revision number from "_N" to "tmpN" (#996, #3761, #6706).

'_' is SQL "like" special character.

History

#1 - 2009-10-20 22:41 - Randy Watson

I've noticed this too.  Plus, the checkin times that are shown in the repository view are incorrect, ie off by five hours, which we are current GMT-5

#2 - 2010-02-26 18:06 - David Hrivnak

- Status changed from New to Resolved

I managed to fix this by editing the following line in app/models/repository/cvs.rb (line 101)

FROM:   fetch_since = latest_changeset ? latest_changeset.committed_on  : nil

TO:     fetch_since = latest_changeset ? latest_changeset.committed_on - 4.hours : nil

The times reported by redmine are still off (since CVS is UTC) but this change prevents redmine from missing the most recent checkins.  I didn't

check this in given it's hackish.

#3 - 2011-02-02 08:16 - Toshi MARUYAMA

- Status changed from Resolved to 7

- Assignee set to Toshi MARUYAMA

#4 - 2011-02-07 12:29 - Toshi MARUYAMA

- Status changed from 7 to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

I fixed in SVN trunk r4794, r4801 and r4802.
